package PureMessage::Multifile::DB::GroupContent;
use strict;
use warnings;
use Digest::MD5 qw/md5_hex/;
use base 'PureMessage::DBI';

__PACKAGE__->table('group_multifile');
__PACKAGE__->columns(Primary => 'group_multifile_id');
__PACKAGE__->columns(All => qw/group_multifile_id multifile_id group_name content 
                               checksum/);
__PACKAGE__->has_a(multifile_id => 'PureMessage::Multifile::DB');
__PACKAGE__->has_a(group_name => 'PureMessage::Group');
if (__PACKAGE__->can(q{pg_version})) {
    __PACKAGE__->sequence('group_multifile_group_multifile_id_seq');
}

# Trigger for MD5 column
sub calc_md5 {
    my $self = shift;
    my $content = $self->content;
    $self->checksum(md5_hex($content));
}
__PACKAGE__->add_trigger(before_update => \&calc_md5);

1;
